Bug 1248806 - DNF Snapper plugin takes snapshot after changes instead of before
DNF Snapper plugin takes snapshot after changes instead of before
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras (Show other bugs)
26
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Jaroslav Rohel
Fedora Extras Quality Assurance
: EasyFix, Reopened, Triaged, UserExperience
Depends On: 1173542
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 17:21 EDT by Konstantin Svist
Modified: 2017-08-09 12:00 EDT (History)
5 users (show)

See Also:
Fixed In Version: dnf-plugins-extras-2.0.2-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-09 12:00:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin Svist 2015-07-30 17:21:11 EDT
Description of problem:

DNF Snapper plugin is meant to provide a rollback for bad changes (user error using DNF, poorly tested packages, etc.)
It would make a lot more sense creating a snapshot before installing (but after downloading) packages


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. install dnf-plugins-extras-snapper
2. make system changes using dnf (install/update/uninstall some package)
3. Check Snapper snapshot

Actual results:
post-install system is snapshotted. By this point it may already be broken.


Expected results:
Snapshot should happen right before install
Comment 1 Igor Gnatenko 2015-12-12 14:18:29 EST
Depends on functionality inside DNF. We dont have before_transaction() state
Comment 2 Konstantin Svist 2015-12-12 18:17:26 EST
Do I need to file a bug against DNF? Where/who/what/etc.?
Comment 3 Igor Gnatenko 2015-12-13 04:12:05 EST
We already have it here... Trying to find number...
Comment 4 Fedora End Of Life 2016-07-19 13:17:09 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Fedora End Of Life 2017-02-28 04:47:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 7 Fedora Update System 2017-08-07 08:52:05 EDT
dnf-2.6.3-1.fc26 dnf-plugins-extras-2.0.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4813633f96
Comment 8 Fedora Update System 2017-08-07 21:25:13 EDT
dnf-2.6.3-1.fc26, dnf-plugins-extras-2.0.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4813633f96
Comment 9 Fedora Update System 2017-08-09 12:00:41 EDT
dnf-2.6.3-1.fc26, dnf-plugins-extras-2.0.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.